Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFont.Stretch

    java.lang.Object
      java.lang.Enum<QFont.Stretch>
          com.trolltech.qt.gui.QFont.Stretch

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFont.Stretch>

Enclosing class:
  QFont

    public static enum QFont.Stretch

extends java.lang.Enum<QFont.Stretch>
implements QtEnumerator

Predefined stretch values that follow the CSS naming convention. The higher the value, the more stretched the text is.

See Also:
  `setStretch`, `stretch`

Enum Constant Summary
`Condensed` 75
`Expanded` 125
`ExtraCondensed` 62
`ExtraExpanded` 150
`SemiCondensed` 87
`SemiExpanded` 112
`UltraCondensed` 50
`UltraExpanded` 200
`Unstretched` 100

Method Summary
`static QFont.Stretch` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.Stretch` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFont.Stretch[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UltraCondensed

    public static final QFont.Stretch UltraCondensed

  50

### ExtraCondensed

    public static final QFont.Stretch ExtraCondensed

  62

### Condensed

    public static final QFont.Stretch Condensed

  75

### SemiCondensed

    public static final QFont.Stretch SemiCondensed

  87

### Unstretched

    public static final QFont.Stretch Unstretched

  100

### SemiExpanded

    public static final QFont.Stretch SemiExpanded

  112

### Expanded

    public static final QFont.Stretch Expanded

  125

### ExtraExpanded

    public static final QFont.Stretch ExtraExpanded

  150

### UltraExpanded

    public static final QFont.Stretch UltraExpanded

  200

Method Detail

### values

    public static final QFont.Stretch[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFont.Stretch c : QFont.Stretch.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFont.Stretch valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.Stretch resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD